<?php


if ( ! function_exists('kolo_team') ) {

// Register Custom Post Type
function kolo_team() {

	$labels = array(
		'name'                  => esc_html_x( 'Team', 'Post Type General Name', 'kolo' ),
		'singular_name'         => esc_html_x( 'Team', 'Post Type Singular Name', 'kolo' ),
		'menu_name'             => esc_html__( 'Team', 'kolo' ),
		'name_admin_bar'        => esc_html__( 'Team', 'kolo' ),
		'archives'              => esc_html__( 'Item Archives', 'kolo' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'kolo' ),
		'all_items'             => esc_html__( 'All Items', 'kolo' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'kolo' ),
		'add_new'               => esc_html__( 'Add New', 'kolo' ),
		'new_item'              => esc_html__( 'New Item', 'kolo' ),
		'edit_item'             => esc_html__( 'Edit Item', 'kolo' ),
		'update_item'           => esc_html__( 'Update Item', 'kolo' ),
		'view_item'             => esc_html__( 'View Item', 'kolo' ),
		'search_items'          => esc_html__( 'Search Item', 'kolo' ),
		'not_found'             => esc_html__( 'Not found', 'kolo' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'kolo' ),
		'featured_image'        => esc_html__( 'Featured Image', 'kolo' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'kolo' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'kolo' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'kolo' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'kolo' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'kolo' ),
		'items_list'            => esc_html__( 'Items list', 'kolo' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'kolo' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'kolo' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Team', 'kolo' ),
		'description'           => esc_html__( 'Post Type Description', 'kolo' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'thumbnail', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-groups',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'k_team', $args );

}
add_action( 'init', 'kolo_team', 0 );

}

if ( ! function_exists('kolo_our_portfolios') ) {

// Register Custom Post Type
function kolo_our_portfolios() {

	$labels = array(
		'name'                  => esc_html_x( 'Portfolios', 'Post Type General Name', 'kolo' ),
		'singular_name'         => esc_html_x( 'Portfolio', 'Post Type Singular Name', 'kolo' ),
		'menu_name'             => esc_html__( 'Portfolios', 'kolo' ),
		'name_admin_bar'        => esc_html__( 'Portfolios', 'kolo' ),
		'archives'              => esc_html__( 'Item Archives', 'kolo' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'kolo' ),
		'all_items'             => esc_html__( 'All Items', 'kolo' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'kolo' ),
		'add_new'               => esc_html__( 'Add New', 'kolo' ),
		'new_item'              => esc_html__( 'New Item', 'kolo' ),
		'edit_item'             => esc_html__( 'Edit Item', 'kolo' ),
		'update_item'           => esc_html__( 'Update Item', 'kolo' ),
		'view_item'             => esc_html__( 'View Item', 'kolo' ),
		'search_items'          => esc_html__( 'Search Item', 'kolo' ),
		'not_found'             => esc_html__( 'Not found', 'kolo' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'kolo' ),
		'featured_image'        => esc_html__( 'Featured Image', 'kolo' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'kolo' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'kolo' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'kolo' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'kolo' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'kolo' ),
		'items_list'            => esc_html__( 'Items list', 'kolo' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'kolo' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'kolo' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Portfolio', 'kolo' ),
		'description'           => esc_html__( 'Post Type Description', 'kolo' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'thumbnail', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-portfolio',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'portfolios', $args );

}
add_action( 'init', 'kolo_our_portfolios', 0 );

}

if ( ! function_exists( 'kolo_portfolios_cat' ) ) {

// Register Custom Taxonomy
function kolo_portfolios_cat() {

	$labels = array(
		'name'                       => esc_html_x( 'Categories', 'Taxonomy General Name', 'kolo' ),
		'singular_name'              => esc_html_x( 'Category', 'Taxonomy Singular Name', 'kolo' ),
		'menu_name'                  => esc_html__( 'Category', 'kolo' ),
		'all_items'                  => esc_html__( 'All Items', 'kolo' ),
		'parent_item'                => esc_html__( 'Parent Item', 'kolo' ),
		'parent_item_colon'          => esc_html__( 'Parent Item:', 'kolo' ),
		'new_item_name'              => esc_html__( 'New Item Name', 'kolo' ),
		'add_new_item'               => esc_html__( 'Add New Item', 'kolo' ),
		'edit_item'                  => esc_html__( 'Edit Item', 'kolo' ),
		'update_item'                => esc_html__( 'Update Item', 'kolo' ),
		'view_item'                  => esc_html__( 'View Item', 'kolo' ),
		'separate_items_with_commas' => esc_html__( 'Separate items with commas', 'kolo' ),
		'add_or_remove_items'        => esc_html__( 'Add or remove items', 'kolo' ),
		'choose_from_most_used'      => esc_html__( 'Choose from the most used', 'kolo' ),
		'popular_items'              => esc_html__( 'Popular Items', 'kolo' ),
		'search_items'               => esc_html__( 'Search Items', 'kolo' ),
		'not_found'                  => esc_html__( 'Not Found', 'kolo' ),
		'no_terms'                   => esc_html__( 'No items', 'kolo' ),
		'items_list'                 => esc_html__( 'Items list', 'kolo' ),
		'items_list_navigation'      => esc_html__( 'Items list navigation', 'kolo' ),
	);
	$args = array(
		'labels'                     => $labels,
		'hierarchical'               => true,
		'public'                     => true,
		'show_ui'                    => true,
		'show_admin_column'          => true,
		'show_in_nav_menus'          => true,
		'show_tagcloud'              => true,
	);
	register_taxonomy( 'cat_portfolios', array( 'portfolios' ), $args );

}
add_action( 'init', 'kolo_portfolios_cat', 0 );

}

if ( ! function_exists('kolo_testimonials_post') ) {

// Register Custom Post Type
function kolo_testimonials_post() {

	$labels = array(
		'name'                  => esc_html_x( 'Testimonials', 'Post Type General Name', 'kolo' ),
		'singular_name'         => esc_html_x( 'Testimonial', 'Post Type Singular Name', 'kolo' ),
		'menu_name'             => esc_html__( 'Testimonials', 'kolo' ),
		'name_admin_bar'        => esc_html__( 'Testimonials', 'kolo' ),
		'archives'              => esc_html__( 'Item Archives', 'kolo' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'kolo' ),
		'all_items'             => esc_html__( 'All Items', 'kolo' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'kolo' ),
		'add_new'               => esc_html__( 'Add New', 'kolo' ),
		'new_item'              => esc_html__( 'New Item', 'kolo' ),
		'edit_item'             => esc_html__( 'Edit Item', 'kolo' ),
		'update_item'           => esc_html__( 'Update Item', 'kolo' ),
		'view_item'             => esc_html__( 'View Item', 'kolo' ),
		'search_items'          => esc_html__( 'Search Item', 'kolo' ),
		'not_found'             => esc_html__( 'Not found', 'kolo' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'kolo' ),
		'featured_image'        => esc_html__( 'Featured Image', 'kolo' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'kolo' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'kolo' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'kolo' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'kolo' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'kolo' ),
		'items_list'            => esc_html__( 'Items list', 'kolo' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'kolo' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'kolo' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Testimonials', 'kolo' ),
		'description'           => esc_html__( 'Post Type Description', 'kolo' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'thumbnail', 'editor', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-format-quote',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'ktestimonials', $args );

}
add_action( 'init', 'kolo_testimonials_post', 0 );

}

if ( ! function_exists('kolo_pricing_table') ) {

// Register Custom Post Type
function kolo_pricing_table() {

	$labels = array(
		'name'                  => esc_html_x( 'Pricing Table', 'Post Type General Name', 'kolo' ),
		'singular_name'         => esc_html_x( 'Pricing Table', 'Post Type Singular Name', 'kolo' ),
		'menu_name'             => esc_html__( 'Pricing Table', 'kolo' ),
		'name_admin_bar'        => esc_html__( 'Pricing Table', 'kolo' ),
		'archives'              => esc_html__( 'Item Archives', 'kolo' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'kolo' ),
		'all_items'             => esc_html__( 'All Items', 'kolo' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'kolo' ),
		'add_new'               => esc_html__( 'Add New', 'kolo' ),
		'new_item'              => esc_html__( 'New Item', 'kolo' ),
		'edit_item'             => esc_html__( 'Edit Item', 'kolo' ),
		'update_item'           => esc_html__( 'Update Item', 'kolo' ),
		'view_item'             => esc_html__( 'View Item', 'kolo' ),
		'search_items'          => esc_html__( 'Search Item', 'kolo' ),
		'not_found'             => esc_html__( 'Not found', 'kolo' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'kolo' ),
		'featured_image'        => esc_html__( 'Featured Image', 'kolo' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'kolo' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'kolo' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'kolo' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'kolo' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'kolo' ),
		'items_list'            => esc_html__( 'Items list', 'kolo' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'kolo' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'kolo' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Pricing Table', 'kolo' ),
		'description'           => esc_html__( 'Post Type Description', 'kolo' ),
		'labels'                => $labels,
		'supports'              => array( 'title'),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-list-view',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'pricing_table', $args );

}
add_action( 'init', 'kolo_pricing_table', 0 );

}



if ( ! function_exists('kolo_tab') ) {

// Register Custom Post Type
function kolo_tab() {

	$labels = array(
		'name'                  => esc_html_x( 'Post Types', 'Post Type General Name', 'kolo' ),
		'singular_name'         => esc_html_x( 'Post Type', 'Post Type Singular Name', 'kolo' ),
		'menu_name'             => esc_html__( 'Tab', 'kolo' ),
		'name_admin_bar'        => esc_html__( 'Tab', 'kolo' ),
		'archives'              => esc_html__( 'Item Archives', 'kolo' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'kolo' ),
		'all_items'             => esc_html__( 'All Items', 'kolo' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'kolo' ),
		'add_new'               => esc_html__( 'Add New', 'kolo' ),
		'new_item'              => esc_html__( 'New Item', 'kolo' ),
		'edit_item'             => esc_html__( 'Edit Item', 'kolo' ),
		'update_item'           => esc_html__( 'Update Item', 'kolo' ),
		'view_item'             => esc_html__( 'View Item', 'kolo' ),
		'search_items'          => esc_html__( 'Search Item', 'kolo' ),
		'not_found'             => esc_html__( 'Not found', 'kolo' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'kolo' ),
		'featured_image'        => esc_html__( 'Featured Image', 'kolo' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'kolo' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'kolo' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'kolo' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'kolo' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'kolo' ),
		'items_list'            => esc_html__( 'Items list', 'kolo' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'kolo' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'kolo' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Post Type', 'kolo' ),
		'description'           => esc_html__( 'Post Type Description', 'kolo' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-grid-view',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'k_tab', $args );

}
add_action( 'init', 'kolo_tab', 0 );

}

if ( ! function_exists('kolo_accordio') ) {

// Register Custom Post Type
function kolo_accordio() {

	$labels = array(
		'name'                  => esc_html_x( 'Post Types', 'Post Type General Name', 'kolo' ),
		'singular_name'         => esc_html_x( 'Post Type', 'Post Type Singular Name', 'kolo' ),
		'menu_name'             => esc_html__( 'Accordion', 'kolo' ),
		'name_admin_bar'        => esc_html__( 'Accordion', 'kolo' ),
		'archives'              => esc_html__( 'Item Archives', 'kolo' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'kolo' ),
		'all_items'             => esc_html__( 'All Items', 'kolo' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'kolo' ),
		'add_new'               => esc_html__( 'Add New', 'kolo' ),
		'new_item'              => esc_html__( 'New Item', 'kolo' ),
		'edit_item'             => esc_html__( 'Edit Item', 'kolo' ),
		'update_item'           => esc_html__( 'Update Item', 'kolo' ),
		'view_item'             => esc_html__( 'View Item', 'kolo' ),
		'search_items'          => esc_html__( 'Search Item', 'kolo' ),
		'not_found'             => esc_html__( 'Not found', 'kolo' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'kolo' ),
		'featured_image'        => esc_html__( 'Featured Image', 'kolo' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'kolo' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'kolo' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'kolo' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'kolo' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'kolo' ),
		'items_list'            => esc_html__( 'Items list', 'kolo' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'kolo' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'kolo' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Post Type', 'kolo' ),
		'description'           => esc_html__( 'Post Type Description', 'kolo' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-editor-justify',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'k_accordion', $args );

}
add_action( 'init', 'kolo_accordio', 0 );

}

